#version 120

uniform sampler2D texture;
uniform float compteur;

void main()
{
	vec2 texcoord = gl_TexCoord[0].xy;
	vec4 pixel = texture2D(texture, texcoord);
	float grey = 0.299f * pixel.r + 0.587f * pixel.g + 0.114f * pixel.b;
	
	vec3 finalColor; 
	
	if(compteur > 1.f)
	{
		finalColor.x = grey;
		finalColor.y = grey;
		finalColor.z = grey;
	}
	else
	{
	 finalColor.x = mix(grey, pixel.x, (1-compteur));
	
	 finalColor.y = mix(grey, pixel.y, (1-compteur));
	
	 finalColor.z = mix(grey, pixel.z, (1-compteur));
	}
	
	
	
    gl_FragColor = vec4(finalColor.x, finalColor.y, finalColor.z, pixel.a);
}

